Open CASCADE Technology: ShapeFix_ShapeTolerance Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
ShapeFix_ShapeTolerance Class Reference

Modifies tolerances of sub-shapes (vertices, edges, faces) More...

`#include <ShapeFix_ShapeTolerance.hxx>`

## Public Member Functions
| ShapeFix_ShapeTolerance ()
Standard_Boolean | LimitTolerance (const TopoDS_Shape &shape, const Standard_Real tmin, const Standard_Real tmax=0.0, const TopAbs_ShapeEnum styp=TopAbs_SHAPE) const
| Limits tolerances in a shape as follows : tmin = tmax -> as SetTolerance (forces) tmin = 0 -> maximum tolerance will be <tmax> tmax = 0 or not given (more generally, tmax < tmin) -> <tmax> ignored, minimum will be <tmin> else, maximum will be <max> and minimum will be <min> styp = VERTEX : only vertices are set styp = EDGE : only edges are set styp = FACE : only faces are set styp = WIRE : to have edges and their vertices set styp = other value : all (vertices,edges,faces) are set Returns True if at least one tolerance of the sub-shape has been modified. More...
void | SetTolerance (const TopoDS_Shape &shape, const Standard_Real preci, const TopAbs_ShapeEnum styp=TopAbs_SHAPE) const
| Sets (enforces) tolerances in a shape to the given value styp = VERTEX : only vertices are set styp = EDGE : only edges are set styp = FACE : only faces are set styp = WIRE : to have edges and their vertices set styp = other value : all (vertices,edges,faces) are set. More...

## Detailed Description

Modifies tolerances of sub-shapes (vertices, edges, faces)

## Constructor & Destructor Documentation

ShapeFix_ShapeTolerance::ShapeFix_ShapeTolerance | ( |  | ) |

## Member Function Documentation

Standard_Boolean ShapeFix_ShapeTolerance::LimitTolerance | ( | const TopoDS_Shape & | shape,
|  | const Standard_Real | tmin,
|  | const Standard_Real | tmax = `0.0`,
|  | const TopAbs_ShapeEnum | styp = `TopAbs_SHAPE`
| ) |  | const

Limits tolerances in a shape as follows : tmin = tmax -> as SetTolerance (forces) tmin = 0 -> maximum tolerance will be <tmax> tmax = 0 or not given (more generally, tmax < tmin) -> <tmax> ignored, minimum will be <tmin> else, maximum will be <max> and minimum will be <min> styp = VERTEX : only vertices are set styp = EDGE : only edges are set styp = FACE : only faces are set styp = WIRE : to have edges and their vertices set styp = other value : all (vertices,edges,faces) are set Returns True if at least one tolerance of the sub-shape has been modified.

void ShapeFix_ShapeTolerance::SetTolerance | ( | const TopoDS_Shape & | shape,
|  | const Standard_Real | preci,
|  | const TopAbs_ShapeEnum | styp = `TopAbs_SHAPE`
| ) |  | const

Sets (enforces) tolerances in a shape to the given value styp = VERTEX : only vertices are set styp = EDGE : only edges are set styp = FACE : only faces are set styp = WIRE : to have edges and their vertices set styp = other value : all (vertices,edges,faces) are set.

The documentation for this class was generated from the following file:

- ShapeFix_ShapeTolerance.hxx